.TH MFIXNAN 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mFixNaN \- Replace a particular set of values in a FITS image with NaNs (or vice-versa)

.SH SYNOPSIS
mFixNaN [\-d \fIlevel\fP] [\-v \fINaN-value\fP] in.fits out.fits [\fIminblank maxblank\fP]

.SH DESCRIPTION
Converts NaNs found in the image to some other value (given by the user), \fIor\fP converts a range of supplied values into NaNs.

.SH OPTIONS
.TP
\-d \fIlevel\fP
Turn on debugging to the specified level (1\-3)
.TP
\-b
Check for non-physical boundary area (\fIe.g.\fP the corners of an Aitoff image) and correct them.
.TP
\-v \fINaN-value\fP
Value to use in place of any NaNs

.SH ARGUMENTS
.TP
in.fits
Input FITS image file
.TP
out.fits
Path of output FITS file.  To run in "count" mode without creating an output file, use a dash ("\-") for this argument.
.TP
minblank maxblank
If the "\-v" switch is not used, \fBmFixNaN\fP will replace all pixel values between \fIminblank\fP and \fImaxblank\fP with NaN.

.SH RESULT
\fB[struct stat="OK", rangeCount=\fIrangeCount\fP, nanCount=\fInanCount\fP]\fP
.PP
\fIrangeCount\fP is the number of pixels that were found between \fIminblank\fP and \fImaxblank\fP, if they were specified.  If not (i.e., NaNs were removed and replaced with \fIvalue\fP), \fInanCount\fP is the number of NaNs removed.

.SH MESSAGES
.TP
OK
[struct stat="OK", rangeCount=\fIrangeCount\fP, nanCount=\fInanCount\fP"]
.TP
ERROR
No debug level given
.TP
ERROR
Debug level string is invalid: \fIlevel\fP
.TP
ERROR
Debug level string is invalid: \fIlevel\fP
.TP
ERROR
Debug level string cannot be negative
.TP
ERROR
No value given for NaN conversion
.TP
ERROR
NaN conversion value string is invalid: '\fINaN-value\fP'
.TP
ERROR
Invalid input file '\fIin.fits\fP']
.TP
ERROR
min blank value string is not a number
.TP
ERROR
max blank value string is not a number
.TP
ERROR
Image file \fIin.fits\fP missing or invalid FITS
.TP
ERROR
\fIFITS library error\fP

.SH EXAMPLES
.PP
A FITS image with BITPIX \-64 (double-precision floating point) was generated without using NaNs; all "blank" pixels are represented by very small negative numbers.  This can throw off initial attempts to display the image with a proper stretch, and does not conform to the FITS standard.  To replace all those "blank" pixels with NaNs:
.TP
mFixNaN original.fits NaN.fits \-4.61169e32 \-4.61169e10
[struct stat="OK", rangeCount=1321, nanCount=0]
.PP
To convert those NaNs back into a single pixel value:
.TP
mFixNaN \-v \-4.6e32 NaN.fits blankval.fits
[struct stat="OK", rangeCount=0, nanCount=1321]

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
